## org.eclipse.datatools.modelbase.sql.datatypes
Class WritePermissionOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.WritePermissionOption

public final class WritePermissionOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Write Permission Option', and utility methods for working with them.

See Also:
  `SQLDataTypesPackage.getWritePermissionOption()`, Serialized Form

Field Summary
`static int` `ADMIN` The 'ADMIN' literal value.
`static WritePermissionOption` `ADMIN_LITERAL` The 'ADMIN' literal object.
`static int` `BLOCKED` The 'BLOCKED' literal value.
`static WritePermissionOption` `BLOCKED_LITERAL` The 'BLOCKED' literal object.
`static int` `FS` The 'FS' literal value.
`static WritePermissionOption` `FS_LITERAL` The 'FS' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Write Permission Option' enumerators.

Method Summary
`static WritePermissionOption` `get(int value)` Returns the 'Write Permission Option' literal with the specified value.
`static WritePermissionOption` `get(java.lang.String name)` Returns the 'Write Permission Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FS

    public static final int FS

  The 'FS' literal value.

  See Also:
    `FS_LITERAL`, Constant Field Values

### ADMIN

    public static final int ADMIN

  The 'ADMIN' literal value.

  See Also:
    `ADMIN_LITERAL`, Constant Field Values

### BLOCKED

    public static final int BLOCKED

  The 'BLOCKED' literal value.

  See Also:
    `BLOCKED_LITERAL`, Constant Field Values

### FS_LITERAL

    public static final WritePermissionOption FS_LITERAL

  The 'FS' literal object.

  If the meaning of 'FS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FS`

### ADMIN_LITERAL

    public static final WritePermissionOption ADMIN_LITERAL

  The 'ADMIN' literal object.

  If the meaning of 'ADMIN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADMIN`

### BLOCKED_LITERAL

    public static final WritePermissionOption BLOCKED_LITERAL

  The 'BLOCKED' literal object.

  If the meaning of 'BLOCKED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BLOCKED`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Write Permission Option' enumerators.

Method Detail

### get

    public static WritePermissionOption get(java.lang.String name)

  Returns the 'Write Permission Option' literal with the specified name.

### get

    public static WritePermissionOption get(int value)

  Returns the 'Write Permission Option' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.